#!/bin/bash

# angles count equal to compass

homepos=0.1           # relative to north (+-360deg)
counts_360deg=3232    # counts per complete rotation of dome
counts_home=32000     # count set at home by arduino software

status="$(curl -s -u scopedome:default 192.168.1.120:80/?getStatus )"
ok=${status:10:2}
if [ $ok == "OK" ]; then
  enc_rot="$(cut -d';' -f3 <<<"$status")"
  degree=$(echo "scale=1; ($enc_rot-$counts_home)*360./$counts_360deg+3600.+$homepos" | bc)
  degree=$(echo "scale=0; $degree%360." | bc)
  printf "ScopeDome_GetRotEncoder.sh: "${status:10:2}" "$enc_rot"     "$degree"\n"
else
  printf "ScopeDome_GetRotEncoder.sh: ERROR\n"
fi
